View Issue Details

IDProjectCategoryView StatusLast Update
0004365TalerWeb site(s)public2016-10-11 17:28
ReporterFlorian DoldAssigned ToFlorian Dold 
PriorityhighSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004365: help pages should be integrated with the wallet
DescriptionE.g. https://taler.net/help/empty-wallet should contain instructions for installation, as well as the inline installation prompt.
TagsNo tags attached.

Relationships

has duplicate 0004681 closedChristian Grothoff help page not found 

Activities

Christian Grothoff

2016-05-31 09:47

manager   ~0010805

Could you please provide a complete list of the help pages we need?

Florian Dold

2016-05-31 14:25

manager   ~0010812

Right now it's only https://taler.net/help/empty-wallet, more help pages might come once more features are implemented in the wallet.

k

2016-06-05 21:14

reporter   ~0010857

https://taler.net/help/empty-wallet gives a 404.

My question is should the demo send people to that link? Perhaps https://demo.taler.net/help/empty-wallet would be more suitable?

Florian Dold

2016-06-05 21:16

manager   ~0010858

Since the wallet itself (and not the demo page) links to it, it should be directly on taler.net, and not on some subdomain (other than maybe help.taler.net or something).

Christian Grothoff

2016-06-05 21:22

manager   ~0010859

I'm thinking it actually needs to be part of the wallet.

Otherwise, we'll get into trouble with versions (which version of the help pages to show), it costs us bandwidth, and may leak information about users. So overall, better to serve these from the extension.

Florian Dold

2016-06-05 21:23

manager   ~0010860

Sure, it's trivial to bundle them in the extension, doesn't hurt to additionally have the latest version on taler.net though.

Christian Grothoff

2016-06-11 22:00

manager   ~0010896

Well, I don't like the duplication, it makes the repos more messy. Anyway, could you create a skeleton help HTML in the wallet and give the path here? I might then start writing some text...

Christian Grothoff

2016-09-26 17:33

manager   ~0011170

Page now exists.

Christian Grothoff

2016-09-26 17:35

manager   ~0011171

Clarification: this bug is now about moving the help pages into the wallet itself. Naturally, we could also keep them additional on https://taler.net/help/, i.e. for easier testing. But the users should usually see the version of the help text that comes with the wallet.

k

2016-09-26 18:14

reporter   ~0011174

Yup I agree the help pages should be coupled with the particular instance of wallet so that if an unconnected third party wanted to run a demo at foo.bar, their help pages could be at foo.bar/help and not at taler.com/help by default.

Thank you!

Christian Grothoff

2016-09-26 18:17

manager   ~0011175

Ah, but these are wallet help-pages. So the point is not to point to foo.bar, but to have them be part of the extension. That way, the user doesn't even need to access the Internet to read the extension's help pages. => better privacy!

Florian Dold

2016-09-26 18:20

manager   ~0011176

Fixed in c884eea..056794e

The help page links in the wallet now point to wallet resources.

Issue History

Date Modified Username Field Change
2016-04-05 18:05 Florian Dold New Issue
2016-04-05 18:05 Florian Dold Summary help pages does not exist => help pages do not exist
2016-04-06 09:40 Christian Grothoff Severity minor => feature
2016-04-06 09:40 Christian Grothoff Status new => confirmed
2016-04-06 09:40 Christian Grothoff Product Version => 0.0
2016-04-06 09:40 Christian Grothoff Target Version => 0.1
2016-04-08 00:11 Christian Grothoff Target Version 0.1 => 0.2
2016-05-31 09:47 Christian Grothoff Note Added: 0010805
2016-05-31 14:25 Florian Dold Note Added: 0010812
2016-05-31 19:09 Christian Grothoff Assigned To => Christian Grothoff
2016-05-31 19:09 Christian Grothoff Status confirmed => assigned
2016-05-31 19:09 Christian Grothoff Priority normal => high
2016-06-05 21:14 k Note Added: 0010857
2016-06-05 21:16 Florian Dold Note Added: 0010858
2016-06-05 21:22 Christian Grothoff Note Added: 0010859
2016-06-05 21:23 Florian Dold Note Added: 0010860
2016-06-11 22:00 Christian Grothoff Note Added: 0010896
2016-09-26 16:59 Christian Grothoff Relationship added has duplicate 0004681
2016-09-26 17:33 Christian Grothoff Note Added: 0011170
2016-09-26 17:33 Christian Grothoff Status assigned => resolved
2016-09-26 17:33 Christian Grothoff Fixed in Version => 0.1
2016-09-26 17:33 Christian Grothoff Resolution open => fixed
2016-09-26 17:35 Christian Grothoff Note Added: 0011171
2016-09-26 17:35 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2016-09-26 17:35 Christian Grothoff Status resolved => assigned
2016-09-26 17:35 Christian Grothoff Fixed in Version 0.1 =>
2016-09-26 17:35 Christian Grothoff Summary help pages do not exist => help pages should be integrated with the wallet
2016-09-26 18:14 k Note Added: 0011174
2016-09-26 18:17 Christian Grothoff Note Added: 0011175
2016-09-26 18:20 Florian Dold Note Added: 0011176
2016-09-26 18:20 Florian Dold Status assigned => resolved
2016-09-27 22:25 Christian Grothoff Fixed in Version => 0.1
2016-09-27 22:25 Christian Grothoff Target Version 0.2 => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed